﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Tooltip
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class ViewModel
    {

        public ObservableCollection<Model> Data { get; set; }
        public ViewModel()
        {
            DateTime date = new DateTime(2014, 1, 1);
            Data = new ObservableCollection<Model>();
            Data.Add(new Model(date.AddMonths(0), 6, 8));
            Data.Add(new Model(date.AddMonths(1), 7, 9));
            Data.Add(new Model(date.AddMonths(2), 8, 10));
            Data.Add(new Model(date.AddMonths(3), 10, 12));
            Data.Add(new Model(date.AddMonths(4), 13, 15));
            Data.Add(new Model(date.AddMonths(5), 17, 20));
            Data.Add(new Model(date.AddMonths(6), 18, 22));
            Data.Add(new Model(date.AddMonths(7), 20, 24));
        }
    }

    public class Model
    {
        public DateTime Month { get; set; }

        public double Value1 { get; set; }

        public double Value2 { get; set; }

        public Model(DateTime month, double value1, double value2)
        {
            Month = month;
            Value1 = value1;
            Value2 = value2;
        }
    }
    public class Converter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var date = (double)value ;
            DateTime dateTime = new DateTime(1899, 12, 30).AddDays(date);
            var data = dateTime.GetDateTimeFormats();
            return data[9];
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
